package com.ejie.ad74a.util.constantes.modelos;

import javax.annotation.Resource;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.model.Combo;
import com.ejie.ad74a.util.comun.Utilidades;
import com.ejie.ad74a.util.constantes.Constantes;

@Resource
public class TipoTareasTramite {

	private TipoTareasTramite() {

	}
	// Longitud de campos
	/*
	 * Los JSP necesitan Strings, las comparaciones en java Integer
	 */

	// estadoDocumentacion11 //
	public enum estadoDocumentacion11 {
		NO_ESTUDIADA(0, "estadoDocumentacion11.noEstudiada"), //
		COMPLETA(1, "estadoDocumentacion11.completa"), //
		INCOMPLETA(2, "estadoDocumentacion11.incompleta"), //
		SUBSANADA(3, "estadoDocumentacion11.subsanada");

		private estadoDocumentacion11(Integer id, String labelDesc) {
			this.id = id;
			this.labelDesc = labelDesc;
		}

		private Integer id;
		private String labelDesc;

		public int getId() {
			return this.id;
		}

		public String getLabelDesc() {
			return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
					LocaleContextHolder.getLocale());
		}

		public String getLabelDesc(int id) {
			String desc = "";
			for (estadoDocumentacion11 estado : estadoDocumentacion11.values()) {
				if (estado.getId() == id) {
					desc = Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N,
							estado.getLabelDesc(), LocaleContextHolder.getLocale());
				}
			}
			return desc;
		}

		public Combo getCombo() {
			return new Combo(id.toString(),
					Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
							com.ejie.ad74a.constantes.Constantes.LOCALE_ES),
					Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
							com.ejie.ad74a.constantes.Constantes.LOCALE_EU));
		}
	}
}
